Before you buy any service

Status
Not open for further replies.

Ruit

Adminstrator
Adminstrator
#1
Note that, our hacks only support android lollipop 5.1 and above. 5.0 and lower are not supported, and please consider reading our forum & payments rules.
Once you have a VIP account, you will only be able to use it in one device. Using your VIP account on more than one device will make your account blacklisted.
It is also recommended to have a decent device and internet to run the hacks without any problems.
 
Last edited:
Status
Not open for further replies.
Top